## com.google.appengine.api.prospectivesearch
Enum Subscription.State

    java.lang.Object
      java.lang.Enum<Subscription.State>
          com.google.appengine.api.prospectivesearch.Subscription.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Subscription.State>

Enclosing class:
  Subscription

    public static enum Subscription.State

extends java.lang.Enum<Subscription.State>

The state of the subscription in the backend system.

Enum Constant Summary
`ERROR` Inactive due to an error.
`OK` Subscription is active.
`PENDING` Successfully registered but not yet active.

Method Summary
`static Subscription.State` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Subscription.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OK

    public static final Subscription.State OK

  Subscription is active.

### PENDING

    public static final Subscription.State PENDING

  Successfully registered but not yet active.

### ERROR

    public static final Subscription.State ERROR

  Inactive due to an error. (See the error value for explanation.)

Method Detail

### values

    public static Subscription.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Subscription.State c : Subscription.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Subscription.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null